from cpl_core.logging import LoggerABC

from gismo_core.abc.bot_service_abc import BotServiceABC


class BootLog:

    def __init__(self, logger: LoggerABC, bot: BotServiceABC):
        self._logger = logger
        self._bot = bot

    def on_ready(self):
        self._logger.info(__name__, f'Bot started: {self._bot}')
